EXPAT_VERSION_MAJOR = 1
EXPAT_VERSION_MINOR = 95
EXPAT_VERSION_MICRO = 2
EXPAT_VERSION = $(EXPAT_VERSION_MAJOR).$(EXPAT_VERSION_MINOR).$(EXPAT_VERSION_MICRO)
EXPAT = expat-$(EXPAT_VERSION)
EXPAT_LIB = $(EXPAT)\lib

OBJS = \
    $(EXPAT_LIB)\xmlparse.obj \
    $(EXPAT_LIB)\xmlrole.obj \
    $(EXPAT_LIB)\xmltok.obj

$(EXPAT)\expat.lib: $(EXPAT_LIB)\expat.h $(EXPAT_LIB)\config.h $(OBJS)
	lib /OUT:$@ $(OBJS)

$(EXPAT_LIB)\expat.h: $(EXPAT_LIB)\expat.h.in
	perl -pe "s/\@EXPAT_MAJOR_VERSION\@/$(EXPAT_VERSION_MAJOR)/ or s/\@EXPAT_MINOR_VERSION\@/$(EXPAT_VERSION_MINOR)/ or s/\@EXPAT_EDIT\@/$(EXPAT_VERSION_MICRO)/" < $(EXPAT_LIB)\expat.h.in >$@

$(EXPAT_LIB)\config.h: $(EXPAT_LIB)\winconfig.h
	copy $(EXPAT_LIB)\winconfig.h $(EXPAT_LIB)\config.h

{$(EXPAT_LIB)}.c{$(EXPAT_LIB)}.obj:
	cl /c /DVERSION="\"$(EXPAT_VERSION)\"" /I$(EXPAT_LIB) /Fo$@ $**
